%%%% Unit entries names

% CHARACTERS

\newcommand{\exaltedherald}{Exalted Herald}

\newcommand{\chosenlord}{Chosen Lord}

\newcommand{\doomlord}{Doomlord}

\newcommand{\sorcerer}{Sorcerer}

\newcommand{\barbarianchief}{Barbarian Chief}

\newcommand{\feldrakancestor}{Feldrak Ancestor}

% MOUNTS

\newcommand{\blacksteed}{Black Steed}

\newcommand{\scythedskywheel}{Scythed Skywheel}

\newcommand{\darkchariot}{Dark Chariot}

\newcommand{\wardais}{War Dais}

\newcommand{\karkadan}{Karkadan}

\newcommand{\wastelanddragon}{Wasteland Dragon}

\newcommand{\shadowchaser}{Shadow Chaser}

\newcommand{\chimera}{Chimera}

\newcommand{\wastelandbehemoth}{Wasteland Behemoth}


% CORE

\newcommand{\warrior}{Warrior}
\newcommand{\warriors}{Warriors}

\newcommand{\fallen}{Fallen}
\newcommand{\fallenSINGULAR}{Fallen}

\newcommand{\barbarian}{Barbarian}
\newcommand{\barbarians}{Barbarians}

% SPECIAL


\newcommand{\warriorknights}{Warrior Knights}
\newcommand{\warriorknight}{Warrior Knight}
\newcommand{\warriorrider}{Warrior Rider}
\newcommand{\warriorriders}{Warrior Riders}

\newcommand{\warriorchariot}{Warrior Chariot}
\newcommand{\chassis}{Chassis}
\newcommand{\warriorcrew}{Warrior Crew}

\newcommand{\chosen}{Chosen}
\newcommand{\chosenSINGULAR}{Chosen}

\newcommand{\chosenknights}{Chosen Knights}
\newcommand{\chosenknight}{Chosen Knight}
\newcommand{\chosenrider}{Chosen Rider}
\newcommand{\chosenriders}{Chosen Riders}

\newcommand{\chosenchariot}{Chosen Chariot}
\newcommand{\chosencrew}{Chosen Crew}

\newcommand{\forsworn}{Forsworn}
\newcommand{\forswornSINGULAR}{Forsworn}

\newcommand{\wretchedones}{Wretched Ones}
\newcommand{\wretchedone}{Wretched One}

\newcommand{\battleshrine}{Battleshrine}
\newcommand{\shrinepriest}{Shrine Priest}

\newcommand{\barbarianhorsemen}{Barbarian Horsemen}
\newcommand{\barbarianhorseman}{Barbarian Horseman}

\newcommand{\flayers}{Flayers}
\newcommand{\flayer}{Flayer}

\newcommand{\warhounds}{Warhounds}
\newcommand{\warhound}{Warhound}

\newcommand{\feldraks}{Feldraks}
\newcommand{\feldrak}{Feldrak}


% LEGENDARY BEASTS

\newcommand{\forsakenone}{Forsaken One}

\newcommand{\maraudinggiant}{Marauding Giant}

\newcommand{\feldrakelder}{Feldrak Elder}

\newcommand{\hellmaw}{Hellmaw}


%%%% Unit entries rules

%% CHARACTERS

% Exalted Herald

\newcommand{\manifestation}{Manifestation}
\newcommand{\manifestationdef}{During Spell Selection, each Exalted Herald \textbf{must} choose two different Manifestations from the list below and apply the effects during the game. The model \textbf{must} select 3 spells out of the spells indicated for the chosen Manifestations, \spellformat{\thaumaturgyspellfive}{\thaumaturgy}, and \spellformat{\hellfire}{\hereditaryspell}. This replaces the normal rules for Spell Selection connected to being a Wizard Adept. In addition, \spellformat{\divinationattribute}{\divination} becomes the Attribute Spell for all non-Bound Spells cast by the model.}

\newcommand{\theexaltedheraldgains}{The Exalted Herald gains}
\newcommand{\theexaltedheraldknows}{The Exalted Herald has access to}

% The manifestations will be automatically sorted in alphabetical order.
\newcommand{\abidingspirit}{Abiding Spirit}
\newcommand{\abidingspiritrule}{At the end of each friendly Melee Phase, if the Exalted Herald has been on the winning side of a combat in this phase, it Recovers 1 Health Point.}

\newcommand{\brandofthedragon}{Brand of the Dragon}
\newcommand{\emissaryofchaos}{Emissary of Chaos}
\newcommand{\sorcererimmortal}{Sorcerer Immortal}
\newcommand{\unholyavatar}{Unholy Avatar}

% Chosen Lord

\newcommand{\allowanceifgeneral}{\suboptionindent{}If General}
\newcommand{\maytakegifts}{A single \textbf{Gift of the Dark Gods}}
\newcommand{\mustchoosefavour}[1]{\optionschoiceTWOCOL{\textbf{Must} choose a single Favour:}{\AlOrder{#1}}}
\newcommand{\giftsofdarkgodsnote}{\textbf{Gifts of the Dark Gods}. Each Gift is One of a Kind.}

\newcommand{\daemonicwings}{Daemonic Wings}
\newcommand{\daemonicwingsrule}{%
	The bearer gains \textbf{\fly{8}{16}}, \textbf{\lighttroops{}}, and \textbf{\swiftstride{}}.%
}
\newcommand{\entropicaura}{Entropic Aura}
\newcommand{\entropicaurarestriction}{Standard and Large models only}
\newcommand{\entropicaurarule}{%
	Weapon Enchantments and Armour Enchantments carried by the bearer, models in the bearer's unit, and models in units that are in base contact with the bearer are ignored.%
}
\newcommand{\luckofthedarkgods}{Luck of the Dark Gods}
\newcommand{\luckofthedarkgodsrule}{%
	The bearer's model gains \textbf{\aegis{+1, max. 4+}}.\columnbreak%
}
\newcommand{\idolofspite}{Idol of Spite}
\newcommand{\idolofspiterule}{%
	One use only. May be activated at the start of a Round of Combat. For the duration of that Round of Combat, the bearer gains +1 Attack Value, +1 Strength, and +1 Armour Penetration.%
}
\newcommand{\darkprelate}{Dark Prelate}
\newcommand{\darkprelaterule}{%
	The bearer can cast \spellformat{\evocationspellone}{\evocation} and \spellformat{\occultismspelltwo}{\occultism} as Bound Spells with Power Level (4/8) and type \castersunit{}. \spellformat{\occultismspelltwo}{} is cast as the amplified version without performing The Sacrifice.%
}

% Doom Lord

\newcommand{\masterofdestruction}{Master of Destruction}
\newcommand{\masterofdestructiondef}{%
	The bearer can use a \shield{} or a \spikedshield{} simultaneously with a \gw{} or a \halberd{}.%
}

% Barbarian Chief

\newcommand{\deedsnotwords}{Deeds not Words}
\newcommand{\deedsnotwordsdef}{The model part gains \textbf{\battlefocus} and \textbf{\hatred} while joined to one or more \rnf{} models with \battlefever{}.}

% Feldrak Ancestor

\newcommand{\primallegend}{Primal Legend}
\newcommand{\primallegenddef}{The limit of Legendary Beasts is increased to \enquote{Max. \SI{45}{\percent}}. While the model is on the board, friendly units with \fly{}{} may not use Flying Movement.}

\newcommand{\dyingembers}{Dying Embers}
\newcommand{\dyingembersdef}{After using the \breathattack{}, the model loses a Health Point with no saves of any kind allowed.}

\newcommand{\againstfly}{against \fly{}}

\newcommand{\specialequipmentfeldrak}{One Weapon Enchantment,\newline paying twice the listed Point Cost}

%% MOUNTS

% Black Steed

\newcommand{\barbarianchiefmusttakeprizedstallion}{\barbarianchief{} \textbf{must} take \textbf{\prizedstallion}}
\newcommand{\prizedstallion}{Prized Stallion}
\newcommand{\prizedstalliondef}{The model's March Rate is \textbf{set} to \distance{16}.}

% War Dais

\newcommand{\throneofeminence}{Throne of Eminence}

% Chimera

\newcommand{\wings}{Wings}
\newcommand{\wingsdef}{The model's March Rate is \textbf{set} to \distance{16} and it gains \textbf{\fly{8}{16}} and \textbf{\lighttroops{}}.}

% Unbroken Chimera

\newcommand{\additionallimbs}{Additional Limbs}
\newcommand{\additionallimbsdef}{The model's March Rate is \textbf{set} to \distance{20} and its Armour is \textbf{set} to 3.}

% Battleshrine

\newcommand{\keeperofthebeacon}{Keeper of the Beacon}
\newcommand{\keeperofthebeacondef}{%
After Spell Selection, the Wizard \textbf{must} replace one of its non-Hereditary Learned Spells with one of the following spells:
\begin{itemize}
\item \spellformat{\evocationspelltwo}{\evocation}
\item \spellformat{\occultismspellsix}{\occultism}
\item \spellformat{\thaumaturgyspellfive}{\thaumaturgy} (only if Wizard Master)
\item \spellformat{\hellfire}{\hereditaryspell}
\end{itemize}%
}


%% CORE

% Warriors

\newcommand{\warriorsfavouroption}[1]{%
	\optionschoiceTWOCOL{Only units with a Champion may upgrade Warriors with a single Favour:\refsymbol{}}{\AlOrder{#1}}%
}

\newcommand{\unitsizereduction}{The max. unit size for a unit with a Favour is reduced to \textbf{25} models.}
\newcommand{\upgradeto}{Upgrade to}

% Fallen

\newcommand{\fallennote}{\refsymbolbis{}\zerotoXunitsperarmy{6} if a \doomlord{} is the General}

%% SPECIAL

% Warrior Knights

\newcommand{\unitwithchampionmaychoosefavour}[2]{\optionschoiceTWOCOL{Only units with a Champion may upgrade #1 with a single Favour:}{\AlOrder{#2}}}

% Chosen

\newcommand{\XXXmustchoosefavour}[2]{\optionschoiceTWOCOL{#1 \textbf{must} choose a single Favour:}{\AlOrder{#2}}}% For Chosen Knights only

\newcommand{\mastersofbattle}{Master of Battle}
\newcommand{\mastersofbattledef}{%
The model's maximum number of Supporting\newline Attacks is \textbf{set} to 3.%
}

% Forsworn

\newcommand{\damnation}{Damnation}
\newcommand{\damnationdef}{%
The unit cannot be joined by any Characters, and it may never have more ranks than files. When the unit fails a Break Test, it does not perform the extra Close Combat Attacks from Path of the Exiled. Instead replace each model of the unit with a \wretchedone{} model after step 8 of the Round of Combat Sequence (after taking Panic Tests):
\begin{itemize}
\item The unit with \damnation{} is considered destroyed and its models are considered to be removed as casualties.
\item Each \wretchedone{} model is placed in the same position and facing the same direction as the replaced model, even if the replaced model was in base contact with an enemy unit. In this case, the \wretchedone{} model is placed in base contact with the enemy unit too.
\item The \wretchedone{} models form a new unit.
\item The \wretchedone{} unit follows the rules for Summoned Units, except that it ignores the Unit Spacing rule when placed on the Battlefield.
\item The Wretched One unit cannot perform any Combat Reforms during that Round of Combat, however the enemy units can do so as normal.
\item Note that the following Round of Combat is not considered the First Round of Combat for the Wretched One unit nor the enemy units it is Engaged with.
\end{itemize}%
}

\newcommand{\replacewithdamnation}{\textbf{\damnation{}}}

% Battleshrine

\newcommand{\battleshrinespecialequipmentoption}{The Shrine Priest may take a single Banner Enchantment\refsymbol{} or Artefact\refsymbol{}}
\newcommand{\fromthisarmybookonly}{from this Army Book only; this replaces the option to take a Banner Enchantment from Trophy Rack}

\newcommand{\beaconofthedarkgods}{Beacon of the Dark Gods}
\newcommand{\beaconofthedarkgodsunitdef}{%
Instead of selecting spells as normal, the Wizard \textbf{must} select one of the following spells during Spell Selection:
\begin{itemize}
\item \spellformat{\evocationspelltwo}{\evocation}
\item \spellformat{\occultismspellsix}{\occultism}
\item \spellformat{\hellfire}{\hereditaryspell}
\end{itemize}%
}

% Flayers

\newcommand{\skinninglash}{Skinning Lash}
\newcommand{\skinninglashdef}{%
A unit with at least one model with Skinning Lash can make a Sweeping Attack against a single unengaged enemy unit when passing within \distance{1} (it does not need to and cannot move through or over that unit). The enemy unit suffers 1 hit with Strength 4 and Armour Penetration 0 for each model with Skinning Lash in the unit. A unit that loses one or more Health Points due to one or more Skinning Lash Sweeping Attack suffers \minuss{}1 Discipline until the end of its next Player Turn.%
}

% Warhounds

\newcommand{\releasethehounds}{Release the Hounds}
\newcommand{\releasethehoundsdef}{%
One use only. May be activated at the start of a friendly Player Turn (all models in a unit must activate this rule at the same time). The model gains \distance{+6} March Rate and \textbf{\devastatingcharge{+1 \At{}, +1 \St{}}} during this Player Turn.%
}

%% LEGENDARY BEASTS

% Marauding Giant

\newcommand{\giantseegiantdo}{Giant See, Giant Do}
\newcommand{\giantseegiantdodef}{The model gains \textbf{\battlefever{}}.}

\newcommand{\rage}{Rage}
\newcommand{\ragedef}{Whenever the model loses a Health Point, it gains +1 Attack Value. Whenever it gains a Health Point, it suffers \minuss{}1 Attack Value.}

\newcommand{\monstrousfamiliar}{Monstrous Familiar}
\newcommand{\monstrousfamiliardef}{%
The model gains \textbf{\wizardapprentice}. Instead of selecting spells as normal, it \textbf{must} select one of the following spells (during Spell Selection): \spellformat{\alchemyspellthree}{\alchemy}, \spellformat{\occultismspellfour}{\occultism}, or \spellformat{\hellfire}{\hereditaryspell}.%
}

\newcommand{\giantclub}{Giant Club}
\newcommand{\giantclubdef}{Attacks made with this weapon gain +1 Strength and +1 Armour Penetration.}

\newcommand{\tribalwarspear}{Tribal Warspear}
\newcommand{\tribalwarspeardef}{Attacks with a \tribalwarspear{} gain +1 Strength and \textbf{Multiple Wounds (D3, against Towering Presence)}. Charging enemy units in base contact with the wielder suffer \minuss{}1 Agility. The wielder gains \textbf{Not a Leader} and \textbf{War Platform} with the following exception: it can only join  units that include at least one  Barbarians model.}

\newcommand{\bigbrother}{Big Brother}
\newcommand{\bigbrotherdef}{The model's Health Points are \textbf{set} to 8, and its base size is changed to 75\timess{}100 \si{\milli\meter}. The roll for the number of hits from its Stomp Attacks is subject to Maximised Roll.}

% Hellmaw

\newcommand{\ominousgateway}{Ominous Gateway}
\newcommand{\oneominousgateway}{One \textbf{Ominous Gateway}}
\newcommand{\twoominousgateways}{Two \textbf{Ominous Gateways}}
\newcommand{\ominousgatewaydef}{%
\itemrestriction{\zerotoXperarmy{2}.}%
At the start of step 7 of the Pre-Game Sequence (Spell Selection), for each Ominous Gateway in your army, mark a point on the Battlefield outside the opponent's Deployment Zone with a Gateway Marker.%
}

\newcommand{\gateway}{Gateway}
\newcommand{\gatewaydef}{%
At the end of each friendly Magic Phase, each Hellmaw may do one of the following:
\begin{smallitemize}%
\item \textbf{Open a Gateway:} Mark a single point on the Battlefield with a Gateway Marker. This point \textbf{must} be within Line of Sight and \distance{24} of the Hellmaw, and more than \distance{6} away from enemy units. There can never be more than 4 friendly Gateway Markers on the Battlefield (including Ominous Gateways).
\item \textbf{Close a Gateway:} Choose a friendly Gateway Marker with its centre within Line of Sight and \distance{24} of the Hellmaw. All units within \distance{6} of the centre of the marker suffer D6 hits with \textbf{Toxic Attacks} and \textbf{Magical Attacks}. Then remove the marker.\newline{}If all friendly Hellmaws have been removed as casualties, immediately close all friendly Gateways as described above.
\end{smallitemize}%

A friendly unit may choose to enter the Gateway if all the following conditions are met:
\begin{smallitemize}
\item The unit does not contain any Gigantic models.
\item The unit is in contact with the centre of a friendly Gateway Marker.
\item All models in the unit just performed an Advance or March Move and no other model has moved since.
\end{smallitemize}
Remove the unit from the Battlefield. The unit:
\begin{smallenumerate}%
\item Is then placed back on the Battlefield within \distance{3} of the centre of any other friendly Gateway Marker. No model can end up with its centre farther away than its March Rate from the centre of the chosen marker.
\item \textbf{Must} have the same formation, but may face any direction.
\item \textbf{Must} follow the Unit Spacing rule.
\item Suffers D6 + X hits with \textbf{Toxic Attacks} and \textbf{Magical Attacks}, distributed by the owner, where X is equal to the number of ranks in the unit. Hits distributed onto models with Hell-Forged Armour or Supernal automatically fail to wound.
\item Loses Scoring until its next Player Turn.
\end{smallenumerate}%

Only a single unit may exit the same Gateway Marker in each Player Turn.%
}
